import sharp from 'sharp'

export const tmpDir = 'upload_files/tmp'
export const uploadDir = 'upload_files'

export const resizeOptions = {
  maxWidth: 1600,
  maxHeight: 1600,
  options: {
    fit: sharp.fit.inside,
    withoutEnlargement: true,
  },
}

export const thumbnailOptions = {
  maxWidth: 200,
  maxHeight: 200,
  options: {
    fit: sharp.fit.inside,
  },
}

export const screenshotOptions = {
  timestamps: ['25%'],
  size: '200x?',
}
